=== debian/changelog ===
pianobar (2011.11.11-1) unstable; urgency=high

  * New upstream version 
    - SSL support and XMLRPC api version compatibility (v33) 
      (closes: #648209, LP: #887886)

 -- Luke Faraone <lfaraone@debian.org>  Wed, 16 Nov 2011 14:26:36 -0500
