=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Luke Faraone <lfaraone@debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
Standards-Version: 3.9.2
Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
Homepage: http://6xq.net/html/00/17.html

Package: pianobar
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends},
Suggests: libaudio-scrobbler-perl
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio 
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com. 

Package: libpiano0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},  ${misc:Depends},
Description: library to interface with Pandora radio -- runtime files
 libpiano is a cross-platform library to interface with the personalized 
 web radio Pandora, supporting all important features the official Flash™ 
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 . 
 This package provides the runtime files used to run application
 built against libpiano.

Package: libpiano-dev
Architecture: any
Section: libdevel
Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
Description: library to interface with Pandora radio -- development
 libpiano is a cross-platform library to interface with the personalized 
 web radio Pandora, supporting all important features the official Flash™ 
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the development files used to build application
 using libpiano.
