=== debian/changelog ===
pianobar (2011.12.11-1~ubuntu11.10.1) oneiric-proposed; urgency=low

  * Upload fixed version to Ubuntu (LP: #887886)

 -- Luke Faraone <lfaraone@ubuntu.com>  Wed, 11 Jan 2012 16:18:09 -0500

pianobar (2011.12.11-1) unstable; urgency=low

  * New upstream version

 -- Luke Faraone <lfaraone@debian.org>  Thu, 05 Jan 2012 00:14:48 -0500
