=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
http://6xq.net/projects/pianobar/ ../../static/projects/pianobar/pianobar-(.*)\.tar\.bz2
