## pianobar 2012.01.10

=== Makefile ===
--- 
+++ 
@@ -91,12 +91,14 @@
 # build pianobar
 ifeq (${DYNLINK},1)
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
-	${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
+	@echo "  LINK  $@"
+	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
 			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
-	${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
+	@echo "  LINK  $@"
+	@${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
 			${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} -lao -lpthread -lm \
 			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} -o $@
 endif
@@ -105,32 +107,62 @@
 libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
 		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
-	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+	@echo "  LINK  $@"
+	@${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
 			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
 			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
-	ln -s libpiano.so.0.0.0 libpiano.so.0
-	ln -s libpiano.so.0 libpiano.so
-	${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
+	@ln -s libpiano.so.0.0.0 libpiano.so.0
+	@ln -s libpiano.so.0 libpiano.so
+	@echo "    AR  libpiano.a"
+	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
 
 %.o: %.c
-	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+	@echo "    CC  $<"
+	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_CFLAGS} \
 			${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
-	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+	@echo "    CC  $< (PIC)"
+	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<
 
 clean:
-	${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
+	@echo " CLEAN"
+	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
 			${LIBEZXML_OBJ} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
 			${LIBEZXML_RELOBJ} pianobar libpiano.so* libpiano.a waitress-test
 
 all: pianobar
 
 debug: pianobar
-debug: CFLAGS=-Wall -pedantic -ggdb
+debug: CFLAGS=-pedantic -ggdb -Wall -Wmissing-declarations -Wshadow -Wcast-qual \
+		-Wformat=2 -Winit-self -Wignored-qualifiers -Wmissing-include-dirs \
+		-Wfloat-equal -Wundef -Wpointer-arith -Wtype-limits -Wbad-function-cast \
+		-Wcast-align -Wclobbered -Wempty-body -Wjump-misses-init -Waddress \
+		-Wlogical-op -Waggregate-return -Wstrict-prototypes \
+		-Wold-style-declaration -Wold-style-definition -Wmissing-parameter-type \
+		-Wmissing-prototypes -Wmissing-field-initializers -Woverride-init \
+		-Wpacked -Wredundant-decls -Wnested-externs
+# warnings for gcc 4.5; disabled:
+# -Wswitch-default: too many bogus warnings
+# -Wswitch-enum: too many bogus warnings
+# -Wunused-parameter: too many bogus warnings
+# -Wstrict-overflow: depends on optimization level
+# -Wunsafe-loop-optimizations: depends on optimization level
+# -Wwrite-strings: to be enabled
+# -Wconversion: too many (bogus?) warnings
+# -Wsign-conversion: same here
+# -Wsign-compare: to be enabled
+# -Wmissing-noreturn: recommendation
+# -Wmissing-format-attribute: same here
+# -Wpadded: have a closer look at this one
+# -Winline: we don't care
+# -Winvalid-pch: not our business
+# -Wdisabled-optimization: depends on optimization level
+# -Wstack-protector: we don't use stack protector
+# -Woverlength-strings: over-portability-ish
 
 waitress-test: CFLAGS+= -DTEST
 waitress-test: ${LIBWAITRESS_OBJ}
