=== debian/changelog ===
pianobar (2012.01.10-1) unstable; urgency=high

  * New upstream version. (closes: #655744)
  * Update debian/watch to point to new download URL.
  * Review and update debian/copyright.
  * Compy with standards version 3.9.2.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 10 Mar 2012 04:55:05 -0500
