=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html
