=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_EXTRA_ARGS=DYNLINK=1
DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

CFLAGS += -std=c99
