=== debian/changelog ===
pianobar (2012.05.06-2) unstable; urgency=high

  * Depend on pkg-config, fix FTBFS. (closes: #672041)

 -- Luke Faraone <lfaraone@debian.org>  Mon, 21 May 2012 14:02:01 -0400

pianobar (2012.05.06-1) unstable; urgency=high

  * New upstream version.
    - JSON api support (closes: #670483, LP: #988395)

 -- Luke Faraone <lfaraone@debian.org>  Sun, 06 May 2012 14:24:34 -0400
