=== debian/changelog ===
pianobar (2012.12.01-1ubuntu1) raring; urgency=low

  * Added missing gcrypt lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 31 Mar 2013 21:46:51 -0400

pianobar (2012.12.01-1) unstable; urgency=high

  * New upstream release. (LP: #1081450)
    - Fixes TLS handshake bug which broke previous releases.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 01 Dec 2012 16:46:21 -0500
