=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev, libgcrypt11-dev, libjson0-dev, pkg-config
 Standards-Version: 3.9.3
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
