## pianobar 2013.09.15

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,18 @@
 	CFLAGS=-O2 -DNDEBUG
 endif
 ifeq (${CC},cc)
-	CC=c99
-endif
-
-PIANOBAR_DIR=src
-PIANOBAR_SRC=\
+	OS := $(shell uname)
+	ifeq (${OS},Darwin)
+		CC=gcc -std=c99
+	else ifeq (${OS},FreeBSD)
+		CC=cc -std=c99
+	else
+		CC=c99
+	endif
+endif
+
+PIANOBAR_DIR:=src
+PIANOBAR_SRC:=\
 		${PIANOBAR_DIR}/main.c \
 		${PIANOBAR_DIR}/player.c \
 		${PIANOBAR_DIR}/settings.c \
@@ -25,7 +32,7 @@
 		${PIANOBAR_DIR}/ui.c \
 		${PIANOBAR_DIR}/ui_readline.c \
 		${PIANOBAR_DIR}/ui_dispatch.c
-PIANOBAR_HDR=\
+PIANOBAR_HDR:=\
 		${PIANOBAR_DIR}/player.h \
 		${PIANOBAR_DIR}/settings.h \
 		${PIANOBAR_DIR}/terminal.h \
@@ -34,64 +41,69 @@
 		${PIANOBAR_DIR}/ui_readline.h \
 		${PIANOBAR_DIR}/main.h \
 		${PIANOBAR_DIR}/config.h
-PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}
-
-LIBPIANO_DIR=src/libpiano
-LIBPIANO_SRC=\
+PIANOBAR_OBJ:=${PIANOBAR_SRC:.c=.o}
+
+LIBPIANO_DIR:=src/libpiano
+LIBPIANO_SRC:=\
 		${LIBPIANO_DIR}/crypt.c \
 		${LIBPIANO_DIR}/piano.c \
 		${LIBPIANO_DIR}/request.c \
-		${LIBPIANO_DIR}/response.c
-LIBPIANO_HDR=\
+		${LIBPIANO_DIR}/response.c \
+		${LIBPIANO_DIR}/list.c
+LIBPIANO_HDR:=\
 		${LIBPIANO_DIR}/config.h \
 		${LIBPIANO_DIR}/crypt.h \
 		${LIBPIANO_DIR}/piano.h \
 		${LIBPIANO_DIR}/piano_private.h
-LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
-LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
-LIBPIANO_INCLUDE=${LIBPIANO_DIR}
-
-LIBWAITRESS_DIR=src/libwaitress
-LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
-LIBWAITRESS_HDR=\
+LIBPIANO_OBJ:=${LIBPIANO_SRC:.c=.o}
+LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
+LIBPIANO_INCLUDE:=${LIBPIANO_DIR}
+
+LIBWAITRESS_DIR:=src/libwaitress
+LIBWAITRESS_SRC:=${LIBWAITRESS_DIR}/waitress.c
+LIBWAITRESS_HDR:=\
 		${LIBWAITRESS_DIR}/config.h \
 		${LIBWAITRESS_DIR}/waitress.h
-LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
-LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
-LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}
+LIBWAITRESS_OBJ:=${LIBWAITRESS_SRC:.c=.o}
+LIBWAITRESS_RELOBJ:=${LIBWAITRESS_SRC:.c=.lo}
+LIBWAITRESS_INCLUDE:=${LIBWAITRESS_DIR}
+
+LIBWAITRESS_TEST_SRC=${LIBWAITRESS_DIR}/waitress-test.c
+LIBWAITRESS_TEST_OBJ:=${LIBWAITRESS_TEST_SRC:.c=.o}
 
 ifeq (${DISABLE_FAAD}, 1)
-	LIBFAAD_CFLAGS=
-	LIBFAAD_LDFLAGS=
-else
-	LIBFAAD_CFLAGS=-DENABLE_FAAD
-	LIBFAAD_LDFLAGS=-lfaad
+	LIBFAAD_CFLAGS:=
+	LIBFAAD_LDFLAGS:=
+else
+	LIBFAAD_CFLAGS:=-DENABLE_FAAD
+	LIBFAAD_LDFLAGS:=-lfaad
 endif
 
 ifeq (${DISABLE_MAD}, 1)
-	LIBMAD_CFLAGS=
-	LIBMAD_LDFLAGS=
-else
-	LIBMAD_CFLAGS=-DENABLE_MAD
+	LIBMAD_CFLAGS:=
+	LIBMAD_LDFLAGS:=
+else
+	LIBMAD_CFLAGS:=-DENABLE_MAD
 	LIBMAD_CFLAGS+=$(shell pkg-config --cflags mad)
-	LIBMAD_LDFLAGS=$(shell pkg-config --libs mad)
-endif
-
-LIBGNUTLS_CFLAGS=$(shell pkg-config --cflags gnutls)
-LIBGNUTLS_LDFLAGS=$(shell pkg-config --libs gnutls)
-
-LIBGCRYPT_CFLAGS=
-LIBGCRYPT_LDFLAGS=-lgcrypt
-
-LIBJSONC_CFLAGS=$(shell pkg-config --cflags json)
-LIBJSONC_LDFLAGS=$(shell pkg-config --libs json)
+	LIBMAD_LDFLAGS:=$(shell pkg-config --libs mad)
+endif
+
+LIBGNUTLS_CFLAGS:=$(shell pkg-config --cflags gnutls)
+LIBGNUTLS_LDFLAGS:=$(shell pkg-config --libs gnutls)
+
+LIBGCRYPT_CFLAGS:=
+LIBGCRYPT_LDFLAGS:=-lgcrypt
+
+LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
+LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)
 
 # build pianobar
 ifeq (${DYNLINK},1)
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
 	@echo "  LINK  $@"
 	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
-			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
+			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+			${LIBGCRYPT_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR}
@@ -180,9 +192,8 @@
 # -Wstack-protector: we don't use stack protector
 # -Woverlength-strings: over-portability-ish
 
-waitress-test: CFLAGS+= -DTEST
-waitress-test: ${LIBWAITRESS_OBJ}
-	${CC} ${LDFLAGS} ${LIBWAITRESS_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test
+waitress-test: ${LIBWAITRESS_TEST_OBJ}
+	${CC} ${LDFLAGS} ${LIBWAITRESS_TEST_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test
 
 test: waitress-test
 	./waitress-test
