=== debian/changelog ===
pianobar (2013.09.15-1) unstable; urgency=low

  * New upstream release.
    - Additional fixes to enable Pandora One streaming (closes: #700481)
  * Increase standards version; no changes required.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 17 Sep 2013 14:22:00 -0400
