=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,3 @@
 
 DEB_MAKE_EXTRA_ARGS=DYNLINK=1
 DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
-
-CFLAGS += -std=c99
