=== debian/changelog ===
pianobar (2014.06.08-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * Drop build dependencies of libmad0-dev and libfaad-dev, switch to libav*
  * Build against libjson-c-dev instead of libjson0-dev. Closes: #745009.
  * Switch to dh7 from CDBS.
  * Add pianobar-dbg package.
  * Add multiarch support.
  * Reduce exessive linking via --as-needed

  [ Luke Faraone ]
  * Add Unit 193 as uploader.
  * Correct libpianobar symbol file to remove Debian revision.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 17 Aug 2014 11:46:41 -0700

pianobar (2013.09.15-2) unstable; urgency=medium

  * Rebuild against libgnutls28-dev/libgcrypt20-dev. Closes: #753142
  * Update debian/copyright to meet DEP5 standards.
  * Bump standards version, no changes needed.
  * Add upstream signing key to source packge.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 17 Aug 2014 05:40:34 -0700
