=== debian/changelog ===
pianobar (2014.09.28-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:24:12 +0200

pianobar (2014.09.28-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version; no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 11 Jul 2015 22:40:38 +0000
