=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
-Homepage: http://6xq.net/html/00/17.html
+Homepage: http://6xq.net/projects/pianobar/
 
 Package: pianobar
 Architecture: any
