=== debian/changelog ===
pianobar (2015.11.22-1) UNRELEASED; urgency=medium

  * New upstream release.
  * d/control: Update homepage.
  * d/control: Drop build-dep on libgnutls28-dev, add libcurl4-gnutls-dev.
  * d/pianobar.docs: README → README.md
  * d/libpiano0.symbols: Update for the removal of libwaitress.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 22 Nov 2015 14:13:45 -0500
