=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
+ libcurl4-gnutls-dev,
  libgcrypt20-dev,
- libgnutls28-dev,
  libjson-c-dev,
  libpth-dev,
  pkg-config
 Standards-Version: 3.9.6
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
-Homepage: http://6xq.net/projects/pianobar/
+Homepage: https://6xq.net/pianobar/
 
 Package: pianobar
 Architecture: any
