=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build -- DYNLINK=1

override_dh_strip:
	dh_strip --dbg-package=pianobar-dbg

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_install:
	dh_install --list-missing

override_dh_auto_install:
	dh_auto_install -- DYNLINK=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

%:
	dh $@
